function tab_onMouseEnter(idx) {
}

function tab_onMouseExit(idx) {
}

function tab_onMouseDown(idx) {
}

function tab_onMouseUp(idx) {
	// Call UIAction.SwitchTab()
	switchTab(idx);
	clearSelectedRow();
	if (idx == 2)
	{
		with (objCalendar) {
			periodXmlDoc = js_PeriodData;
			periodCycle = js_AveCycle;
			renderControl();
		}
	}
}

function widget_onPreferencesChanged() {
	if (preferences.UsePassword.value == 1 && !preferences.UsePassword.hidden && preferences.Password.value == '') {
		if (preferences.NewPassword.value == '' || preferences.ConfirmPassword.value == '') {
			alert(jscl_ErrorMessages[0]);
			showWidgetPreferences();
			return false;
		}
		if (preferences.NewPassword.value != preferences.ConfirmPassword.value) {
			alert(jscl_ErrorMessages[1]);
			showWidgetPreferences();
			return false;
		}
		preferences.Password.value = preferences.NewPassword.value;
		alert(jscl_Messages[0]);
	}
	if (gridPeriod != null) {
		gridPeriod.displayMaxRows = preferences.RecordMaxCount.value;
		renderGrid(gridPeriod, js_PeriodData, js_PeriodGridColumns, js_GridForm[0]);
	}
	if (gridTemper != null) {
		gridTemper.displayMaxRows = preferences.RecordMaxCount.value;
		renderGrid(gridTemper, js_TemperData, js_TemperGridColumns, js_GridForm[1]);
	}
}

function widget_onUnload() {
	saveRecord();
	//clearGarbage();
}

function btnAddPeriod_Click() {
	if (js_SelectedRow == null || js_SelectedRow.grid != gridPeriod) {
		if (!checkPeriodRules())
			return;
		AppendPeriod();
	} else {
		var grid = js_SelectedRow.grid;
		grid.getCell(js_SelectedRow.index, 'Length').text = nudPeriod.Value;
		var root = js_PeriodData.documentElement;
		var nodes = root.evaluate('Table[Date="' + dccPeriod.Date + '"]');
		var row = nodes.item(0);
		var cell = row.evaluate('Length').item(0).firstChild.data = nudPeriod.Value;
	}
	recountPervPeriodRange(js_PeriodData);
	js_AveCycle = reckonAverageCycle(js_PeriodData);
	js_OvulateDays = getOvulateDays(js_PeriodData, js_AveCycle);
	renderGrid(gridPeriod, js_PeriodData, js_PeriodGridColumns, js_GridForm[0]);
}

function btnAddTemper_Click() {
	if (js_SelectedRow == null || js_SelectedRow.grid != gridTemper) {
		if (!checkTemperRules())
			return;
		AppendTemper();
	} else {
		var grid = js_SelectedRow.grid;
		grid.getCell(js_SelectedRow.index, 'Temperature').text = nudTemper.Value;
		var root = js_TemperData.documentElement;
		var nodes = root.evaluate('Table[Date="' + dccTemper.Date + '"]');
		var row = nodes.item(0);
		var cell = row.evaluate('Temperature').item(0).firstChild.data = nudTemper.Value;
	}
	renderGrid(gridTemper, js_TemperData, js_TemperGridColumns, js_GridForm[1]);
}

function btnCheckPWD_Click() {
	if (preferences.Password.value == txtPassword.Text) {
		winLogon.visible = false;
		startup();
	} else {
		alert(jscl_ErrorMessages[6]);
		txtPassword.Object.TextArea.focus();
	}
}

function btnCancelLogon_Click() {
	closeWidget();
}

function txt_onKeyPress(json) {
	if (system.event.key.charCodeAt(0) == 13 && json.Name == 'js_PasswordTextBox')
		btnCheckPWD_Click();
	else
		json.Text = json.Object.TextArea.data + system.event.key;
}

/*
function chk_onMouseEnter(obj) {
	if (obj.Value)
		obj.Object.Box.src = js_CheckBoxCheckedEnter;
	else
		obj.Object.Box.src = js_CheckBoxUncheckEnter;
}
function chk_onMouseExit(obj) {
	if (obj.Value)
		obj.Object.Box.src = js_CheckBoxChecked;
	else
		obj.Object.Box.src = js_CheckBoxUncheck;
}
function DrugCheckDown() {
	js_DrugCheck.MouseDown = true;
	if (js_DrugCheck.Object.Value)
		js_DrugCheck.Object.Box.src = js_CheckBoxCheckedEnter;
	else
		js_DrugCheck.Object.Box.src = js_CheckBoxUncheckDown;
}
function DrugCheckUp() {
	if (!js_DrugCheck.MouseDown)
		return;
	js_DrugCheck.MouseDown = false;
	js_DrugCheck.Value = !js_DrugCheck.Value;
	if (js_DrugCheck.Value) {
		js_DrugCheck.Object.Box.src = js_CheckBoxCheckedEnter;
		js_DrugNameTextBox.Object.TextArea.color = js_DrugNameTextBox.Color;
	} else {
		js_DrugCheck.Object.Box.src = js_CheckBoxUncheckEnter;
		js_DrugNameTextBox.Object.TextArea.color = '#808080';
	}
	js_DrugNameTextBox.Object.TextArea.editable = js_DrugCheck.Value;
	js_DrugNameTextBox.Editable = js_DrugCheck.Value;
}

function rdo_onMouseEnter(idx) {
	var obj = js_BloodRadio.Items[idx].Object;
	if (js_BloodRadio.SelectedIndex == idx)
		obj.Box.src = js_RadioGroupCheckedEnter;
	else
		obj.Box.src = js_RadioGroupUncheckEnter;
}
function rdo_onMouseExit(idx) {
	var obj = js_BloodRadio.Items[idx].Object;
	if (js_BloodRadio.SelectedIndex == idx)
		obj.Box.src = js_RadioGroupChecked;
	else
		obj.Box.src = js_RadioGroupUncheck;
}
function rdo_onMouseDown(idx) {
	var obj = js_BloodRadio.Items[idx].Object;
	if (js_BloodRadio.SelectedIndex == idx)
		obj.Box.src = js_RadioGroupCheckedEnter;
	else
		obj.Box.src = js_RadioGroupUncheckDown;
}
function rdo_onMouseUp(idx) {
	js_BloodRadio.SelectedIndex = idx;
	js_BloodRadio.SelectedValue = js_BloodRadio.Items[idx].Value;
	for (var i = 0; i < js_BloodRadio.Items.length; i++) {
		if (i == idx)
			js_BloodRadio.Items[i].Object.Box.src = js_RadioGroupCheckedEnter;
		else
			js_BloodRadio.Items[i].Object.Box.src = js_RadioGroupUncheck;
	}
}

function periodOK() {
	this.src = js_BlackButtonUpImage;
	if (checkRecordExists()) {
		alert(jscl_ErrorMessages[5]);
		return;
	}
	AppendPeriod();
	closeActionForm(0);
	renderPeriodGrid();
}

function cancelModifyPeriod() {
	this.src = js_BlackButtonUpImage;
	closeActionForm(0);
}

function temperOK() {
	this.src = js_BlackButtonUpImage;
	closeActionForm(1);
}

function cancelModifyTemper() {
	this.src = js_BlackButtonUpImage;
	closeActionForm(1);
}
*/
