// Const
var js_DisplayFont = 'Arial';

var js_TextBoxBackgroundImage_S = 'Resources/Images/TextBox/S_Normal.png';
var js_TextBoxBackgroundImage_L = 'Resources/Images/TextBox/L_Normal.png';
var js_SelectedRowBackground_S = 'Resources/Images/TextBox/S_Selected.png';
var js_SelectedRowTextColor = '#FFFFFF';

var js_BlackButtonImage = 'Resources/Images/Buttons/BlackButton.png';
var js_BlackButtonEnterImage = 'Resources/Images/Buttons/BlackButtonEnter.png';
var js_BlackButtonDownImage = 'Resources/Images/Buttons/BlackButtonDown.png';
var js_BlackButtonUpImage = 'Resources/Images/Buttons/BlackButtonEnter.png';
var js_BlackButtonExitImage = 'Resources/Images/Buttons/BlackButton.png';

var js_DDLButtonImage = 'Resources/Images/DropDown/Normal.png';
var js_DDLButtonEnterImage = 'Resources/Images/DropDown/Enter.png';
var js_DDLButtonDownImage = 'Resources/Images/DropDown/Down.png';
var js_DDLButtonUpImage = 'Resources/Images/DropDown/Enter.png';
var js_DDLButtonExitImage = 'Resources/Images/DropDown/Normal.png';

var js_CheckBoxUncheck = 'Resources/Images/CheckBox/Uncheck.png';
var js_CheckBoxUncheckEnter = 'Resources/Images/CheckBox/UncheckEnter.png';
var js_CheckBoxUncheckDown = 'Resources/Images/CheckBox/UncheckDown.png';
var js_CheckBoxChecked = 'Resources/Images/CheckBox/Checked.png';
var js_CheckBoxCheckedEnter = 'Resources/Images/CheckBox/CheckedEnter.png';

var js_RadioGroupUncheck = 'Resources/Images/RadioGroup/Uncheck.png';
var js_RadioGroupUncheckEnter = 'Resources/Images/RadioGroup/UncheckEnter.png';
var js_RadioGroupUncheckDown = 'Resources/Images/RadioGroup/UncheckDown.png';
var js_RadioGroupChecked = 'Resources/Images/RadioGroup/Checked.png';
var js_RadioGroupCheckedEnter = 'Resources/Images/RadioGroup/CheckedEnter.png';

var js_NumericUpNormal = 'Resources/Images/Numeric/UpNormal.png';
var js_NumericUpEnter = 'Resources/Images/Numeric/UpEnter.png';
var js_NumericUpExit = 'Resources/Images/Numeric/UpNormal.png';
var js_NumericUpDown = 'Resources/Images/Numeric/UpPress.png';
var js_NumericUpUp = 'Resources/Images/Numeric/UpEnter.png';
var js_NumericDownNormal = 'Resources/Images/Numeric/DownNormal.png';
var js_NumericDownEnter = 'Resources/Images/Numeric/DownEnter.png';
var js_NumericDownExit = 'Resources/Images/Numeric/DownNormal.png';
var js_NumericDownDown = 'Resources/Images/Numeric/DownPress.png';
var js_NumericDownUp = 'Resources/Images/Numeric/DownEnter.png';

var js_TemperMin_C = 33;
var js_TemperMax_C = 40;
var js_TemperDefault_C = 36.5;
var js_TemperInterval_C = 0.1;
var js_TemperMin_F = 91.4;
var js_TemperMax_F = 104;
var js_TemperDefault_F = 97.6;
var js_TemperInterval_F = 0.2;


var js_ScrollBarColor = new Array();
js_ScrollBarColor[0] = '#88AAAA';
js_ScrollBarColor[1] = '#AA00AA';
js_ScrollBarColor[2] = '#008800';
js_ScrollBarColor[3] = '#AA8800';

var GridCellType = new Object();
GridCellType.Text = 0;
GridCellType.Image = 1;

var js_PeriodGridColumns = new Array();
js_PeriodGridColumns[0] = { Key:'Date', Title:jscl_PeriodGridColumn[0], Width:100, Color:'#FFFFFF', BgImageSrc:'Resources/Images/Buttons/Style2.png', Font:js_DisplayFont, Size:12, Tooltip:jscl_PeriodGridColumnTooltip[0], 
							CellType:GridCellType.Text, ImageWidth:null, ImageHeight:null, ImageSrc:null, 
							ColumnEvent:{ MouseEnter:null, MouseExit:null, MouseDown:null, MouseUp:null }, 
							CellEvent:{ MouseEnter:null, MouseExit:null, MouseDown:null, MouseUp:null }, 
							CellStyle:{ Align:'center', Font:'Arial', Size:12, Color:'#000000', Style:null, BgColor:null, BgOpacity:null, BgImageOpacity:null} };
js_PeriodGridColumns[1] = { Key:'Length', Title:jscl_PeriodGridColumn[1], Width:50, Color:'#FFFFFF', BgImageSrc:'Resources/Images/Buttons/Style2.png', Font:js_DisplayFont, Size:12, Tooltip:jscl_PeriodGridColumnTooltip[1], 
							CellType:GridCellType.Text, ImageWidth:null, ImageHeight:null, ImageSrc:null, 
							ColumnEvent:{ MouseEnter:null, MouseExit:null, MouseDown:null, MouseUp:null }, 
							CellEvent:{ MouseEnter:null, MouseExit:null, MouseDown:null, MouseUp:null }, 
							CellStyle:{ Align:'center', Font:'Arial', Size:12, Color:'#000000', Style:null, BgColor:null, BgOpacity:null, BgImageOpacity:null} };
js_PeriodGridColumns[2] = { Key:'Cycle', Title:jscl_PeriodGridColumn[2], Width:50, Color:'#FFFFFF', BgImageSrc:'Resources/Images/Buttons/Style2.png', Font:js_DisplayFont, Size:12, Tooltip:jscl_PeriodGridColumnTooltip[2], 
							CellType:GridCellType.Text, ImageWidth:null, ImageHeight:null, ImageSrc:null, 
							ColumnEvent:{ MouseEnter:null, MouseExit:null, MouseDown:null, MouseUp:null }, 
							CellEvent:{ MouseEnter:null, MouseExit:null, MouseDown:null, MouseUp:null }, 
							CellStyle:{ Align:'center', Font:'Arial', Size:12, Color:'#000000', Style:null, BgColor:null, BgOpacity:null, BgImageOpacity:null} };
js_PeriodGridColumns[3] = { Key:'Edit', Title:jscl_PeriodGridColumn[3], Width:25, Color:'#FFFFFF', BgImageSrc:'Resources/Images/Buttons/Style2.png', Font:js_DisplayFont, Size:12, Tooltip:jscl_PeriodGridColumnTooltip[3], 
							CellType:GridCellType.Image, ImageWidth:14, ImageHeight:14, ImageSrc:'Resources/Images/Icons/Edit.png', 
							ColumnEvent:{ MouseEnter:null, MouseExit:null, MouseDown:null, MouseUp:null }, 
							CellEvent:{ MouseEnter:null, MouseExit:null, MouseDown:girdPeriodCellClick, MouseUp:null }, 
							CellStyle:{ Align:'center', Font:'Arial', Size:12, Color:'#000000', Style:null, BgColor:null, BgOpacity:null, BgImageOpacity:null} };
js_PeriodGridColumns[4] = { Key:'Delete', Title:jscl_PeriodGridColumn[4], Width:25, Color:'#FFFFFF', BgImageSrc:'Resources/Images/Buttons/Style2.png', Font:js_DisplayFont, Size:12, Tooltip:jscl_PeriodGridColumnTooltip[4], 
							CellType:GridCellType.Image, ImageWidth:14, ImageHeight:14, ImageSrc:'Resources/Images/Icons/Delete.png', 
							ColumnEvent:{ MouseEnter:null, MouseExit:null, MouseDown:null, MouseUp:null }, 
							CellEvent:{ MouseEnter:null, MouseExit:null, MouseDown:girdPeriodCellClick, MouseUp:null }, 
							CellStyle:{ Align:'center', Font:'Arial', Size:12, Color:'#000000', Style:null, BgColor:null, BgOpacity:null, BgImageOpacity:null} };

var js_TemperGridColumns = new Array();
js_TemperGridColumns[0] = { Key:'Date', Title:jscl_TemperGridColumn[0], Width:100, Color:'#FFFFFF', BgImageSrc:'Resources/Images/Buttons/Style3.png', Font:js_DisplayFont, Size:12, Tooltip:jscl_TemperGridColumnTooltip[0], 
							CellType:GridCellType.Text, ImageWidth:null, ImageHeight:null, ImageSrc:null, 
							ColumnEvent:{ MouseEnter:null, MouseExit:null, MouseDown:null, MouseUp:null }, 
							CellEvent:{ MouseEnter:null, MouseExit:null, MouseDown:null, MouseUp:null }, 
							CellStyle:{ Align:'center', Font:'Arial', Size:12, Color:'#000000', Style:null, BgColor:null, BgOpacity:null, BgImageOpacity:null} };
js_TemperGridColumns[1] = { Key:'Temperature', Title:jscl_TemperGridColumn[1], Width:50, Color:'#FFFFFF', BgImageSrc:'Resources/Images/Buttons/Style3.png', Font:js_DisplayFont, Size:12, Tooltip:jscl_TemperGridColumnTooltip[1], 
							CellType:GridCellType.Text, ImageWidth:null, ImageHeight:null, ImageSrc:null, 
							ColumnEvent:{ MouseEnter:null, MouseExit:null, MouseDown:null, MouseUp:null }, 
							CellEvent:{ MouseEnter:null, MouseExit:null, MouseDown:null, MouseUp:null }, 
							CellStyle:{ Align:'center', Font:'Arial', Size:12, Color:'#000000', Style:null, BgColor:null, BgOpacity:null, BgImageOpacity:null} };
js_TemperGridColumns[2] = { Key:'Edit', Title:jscl_TemperGridColumn[2], Width:25, Color:'#FFFFFF', BgImageSrc:'Resources/Images/Buttons/Style3.png', Font:js_DisplayFont, Size:12, Tooltip:jscl_TemperGridColumnTooltip[2], 
							CellType:GridCellType.Image, ImageWidth:14, ImageHeight:14, ImageSrc:'Resources/Images/Icons/Edit.png', 
							ColumnEvent:{ MouseEnter:null, MouseExit:null, MouseDown:null, MouseUp:null }, 
							CellEvent:{ MouseEnter:null, MouseExit:null, MouseDown:girdTemperCellClick, MouseUp:null }, 
							CellStyle:{ Align:'center', Font:'Arial', Size:12, Color:'#000000', Style:null, BgColor:null, BgOpacity:null, BgImageOpacity:null} };
js_TemperGridColumns[3] = { Key:'Delete', Title:jscl_TemperGridColumn[3], Width:25, Color:'#FFFFFF', BgImageSrc:'Resources/Images/Buttons/Style3.png', Font:js_DisplayFont, Size:12, Tooltip:jscl_TemperGridColumnTooltip[3], 
							CellType:GridCellType.Image, ImageWidth:14, ImageHeight:14, ImageSrc:'Resources/Images/Icons/Delete.png', 
							ColumnEvent:{ MouseEnter:null, MouseExit:null, MouseDown:null, MouseUp:null }, 
							CellEvent:{ MouseEnter:null, MouseExit:null, MouseDown:girdTemperCellClick, MouseUp:null }, 
							CellStyle:{ Align:'center', Font:'Arial', Size:12, Color:'#000000', Style:null, BgColor:null, BgOpacity:null, BgImageOpacity:null} };

// DropDownList 
/*
var js_DropDownListSample = { Name:'js_DropDownSample', SelectedValue:'', SelectedIndex:-1, Tooltip:null, Editable:false,
							  Left:0, Top:0, Width:100, Font:js_DisplayFont, Size:12, Style:null, Color:'#000000', 
							  Items:[ { Title:'', Tooltip:'', Value:'' } ], MaxRows:null, 
							  Object:null };
*/

/*
// DateChooser Control
var dccSample = { Name:'dccSample', SelectedValue:'', Tooltip:'', Editable:false, 
					Left:0, Top:0, Width:100, Font:js_DisplayFont, Size:12, Style:'', Color:'#000000', 
					CallBack:null, 
					Object:null };
*/
var dccPeriod = { Name:'dccPeriod', Date:new Date().toFormatString('ed', true), Tooltip:jscl_PeriodGridColumnTooltip[5], Editable:false, 
					Left:0, Top:0, Width:100, Font:js_DisplayFont, Size:12, Style:'', Color:'#000000', 
					CallBack:callBack_GetPeriodDate, 
					Object:null };

var dccTemper = { Name:'dccTemper', Date:new Date().toFormatString('ed', true), Tooltip:jscl_TemperGridColumnTooltip[4], Editable:false, 
					Left:0, Top:0, Width:100, Font:js_DisplayFont, Size:12, Style:'', Color:'#000000', 
					CallBack:callBack_GetTemperDate, 
					Object:null };

// Button
/*
var js_ButtonSample = { Name:'js_ButtonSample', Title:'Button', Tooltip:'',
						Left:0, Top:0, Width:100, Height:20, Align:null,
						Font:js_DisplayFont, Size:12, Style:'', Color:'#FFFFFF', ShadowColor:'000000', 
						OnClick:'btn_onMouseUp(js_ButtonSample);',
						Object:null };
*/
var btnAddPeriod = { Name:'btnAddPeriod', Title:jscl_Buttons[0].Title, Tooltip:jscl_Buttons[0].Tooltip,
					 Left:310, Top:0, Width:80, Height:20, Align:'right', Images:null, 
					 Font:js_DisplayFont, Size:12, Style:'', Color:'#FFFFFF', ShadowColor:'000000', 
					 OnClick:'btnAddPeriod_Click();',
					 Object:null };
var btnAddTemper = { Name:'btnAddTemper', Title:jscl_Buttons[0].Title, Tooltip:jscl_Buttons[0].Tooltip,
					 Left:310, Top:0, Width:80, Height:20, Align:'right', Images:null, 
					 Font:js_DisplayFont, Size:12, Style:'', Color:'#FFFFFF', ShadowColor:'000000', 
					 OnClick:'btnAddTemper_Click();',
					 Object:null };
var btnPrevMonth = { Name:'btnPrevMonth', Title:null, Tooltip:jscl_Tooltips[0],
					 Left:0, Top:0, Width:16, Height:16, Align:null, 
					 Images: { 
						Normal:'Resources/Images/Calendar/LeftNormal.png',
						Enter:'Resources/Images/Calendar/LeftEnter.png',
						Exit:'Resources/Images/Calendar/LeftNormal.png',
						Down:'Resources/Images/Calendar/LeftPress.png',
						Up:'Resources/Images/Calendar/LeftNormal.png' },
					 Font:null, Size:null, Style:null, Color:null, ShadowColor:null, 
					 OnClick:'objCalendar.goPrevMonth();',
					 Object:null };
var btnThisMonth = { Name:'btnThisMonth', Title:null, Tooltip:jscl_Tooltips[1],
					 Left:0, Top:0, Width:16, Height:16, Align:null, 
					 Images: { 
						Normal:'Resources/Images/Calendar/TodayNormal.png',
						Enter:'Resources/Images/Calendar/TodayEnter.png',
						Exit:'Resources/Images/Calendar/TodayNormal.png',
						Down:'Resources/Images/Calendar/TodayPress.png',
						Up:'Resources/Images/Calendar/TodayNormal.png' },
					 Font:null, Size:null, Style:null, Color:null, ShadowColor:null, 
					 OnClick:'objCalendar.goTodayMonth();',
					 Object:null };
var btnNextMonth = { Name:'btnNextMonth', Title:null, Tooltip:jscl_Tooltips[2],
					 Left:0, Top:0, Width:16, Height:16, Align:null, 
					 Images: { 
						Normal:'Resources/Images/Calendar/RightNormal.png',
						Enter:'Resources/Images/Calendar/RightEnter.png',
						Exit:'Resources/Images/Calendar/RightNormal.png',
						Down:'Resources/Images/Calendar/RightPress.png',
						Up:'Resources/Images/Calendar/RightNormal.png' },
					 Font:null, Size:null, Style:null, Color:null, ShadowColor:null, 
					 OnClick:'objCalendar.goNextMonth();',
					 Object:null };
var btnCheckPWD = { Name:'btnCheckPWD', Title:jscl_Buttons[1].Title, Tooltip:jscl_Buttons[1].Tooltip,
					 Left:120, Top:80, Width:50, Height:20, Align:'right', Images:null, 
					 Font:js_DisplayFont, Size:12, Style:'', Color:'#FFFFFF', ShadowColor:'000000', 
					 OnClick:'btnCheckPWD_Click();',
					 Object:null };
var btnCancelLogon = { Name:'btnCancelLogon', Title:jscl_Buttons[2].Title, Tooltip:jscl_Buttons[2].Tooltip,
					 Left:140, Top:80, Width:50, Height:20, Align:null, Images:null, 
					 Font:js_DisplayFont, Size:12, Style:'', Color:'#FFFFFF', ShadowColor:'000000', 
					 OnClick:'btnCancelLogon_Click();',
					 Object:null };

// RadioGroup
/*
var js_BloodRadio = { Name:'js_BloodRadio', SelectedValue:'', SelectedIndex:-1, Left:70, Top:8, 
					  Vertical:false, Font:js_DisplayFont, Size:12, Style:'', Color:'#000000', ShadowColor:'', 
					  Items:[
						{Title:jscl_PeriodSetForm[2], Tooltip:'', Value:'L', Object:null },
						{Title:jscl_PeriodSetForm[3], Tooltip:'', Value:'N', Object:null }, 
						{Title:jscl_PeriodSetForm[4], Tooltip:'', Value:'S', Object:null } ] };
*/

// Check Box
/*
var js_DrugCheck = { Name:'js_DrugCheck', Value:false, Left:10, Top:30, MouseDown:false, 
					 Title:jscl_PeriodSetForm[5], Tooltip:'', Font:js_DisplayFont, Size:12, Style:'', Color:'#000000', ShadowColor:'', 
					 OnMouseEnter:'chk_onMouseEnter(js_DrugCheck);',
					 OnMouseExit:'chk_onMouseExit(js_DrugCheck);', 
					 OnMouseDown:'DrugCheckDown();', 
					 OnMouseUp:'DrugCheckUp();',
					 Object:null };
*/

// Text Area
/*
var js_DrugNameTextBox = { Name:'js_DrugNameTextBox', Text:'', Left:10, Top:0, Width:null, Height:null, Lines:1, Columns:40, 
						   Secure:false, ScrollBar:false, Editable:false, ScrollBarColor:null, 
						   Font:js_DisplayFont, Size:12, Style:'', Color:'#000000', Align:null, TextAlign:null, 
						   OnKeyPress:'txt_onKeyPress(js_DrugNameTextBox);',
						   Object:null };
var js_NotesTextBox = { Name:'js_NotesTextBox', Text:'', Left:10, Top:0, Width:null, Height:null, Lines:4, Columns:37, 
						Secure:false, ScrollBar:true, Editable:true, ScrollBarColor:'#005AFF', 
						Font:js_DisplayFont, Size:12, Style:'', Color:'#000000', Align:null, TextAlign:null, 
						OnKeyPress:'txt_onKeyPress(js_NotesTextBox);',
						Object:null };
*/
var js_PasswordTextBox = { Name:'js_PasswordTextBox', Text:'', Left:100, Top:42, Width:null, Height:null, Lines:1, Columns:15, 
						   Secure:true, ScrollBar:false, Editable:true, ScrollBarColor:null, 
						   Font:js_DisplayFont, Size:12, Style:'', Color:'#000000', Align:null, TextAlign:null, 
						   OnKeyPress:'txt_onKeyPress(js_PasswordTextBox);',
						   Object:null };

//NumericUpDown Control
var js_HourNumEditor = { Name:'js_HourNumEditor', Value:20, Max:23, Min:0, Interval:1, Loop:true,
						 Left:0, Top:0, Width:40, Height:20, Tooltip:'Hour', 
						 Font:js_DisplayFont, Size:12, Style:null, Color:'#000000', ShadowColor:null, 
						 Object:null };
var js_MinuteNumEditor = { Name:'js_MinuteNumEditor', Value:0, Max:55, Min:0, Interval:5, Loop:true,
						   Left:0, Top:0, Width:40, Height:20, Tooltip:'Minute', 
						   Font:js_DisplayFont, Size:12, Style:null, Color:'#000000', ShadowColor:null, 
						   Object:null };
var nudPeriod = { Name:'nudPeriod', Value:5, Max:15, Min:3, Interval:1, Loop:false,
					Left:0, Top:0, Width:50, Height:20, Tooltip:jscl_PeriodGridColumnTooltip[6], 
					Font:js_DisplayFont, Size:12, Style:null, Color:'#000000', ShadowColor:null, 
					Object:null };
var nudTemper = { Name:'nudTemper', Value:36.5, Max:40, Min:33, Interval:0.1, Loop:false,
					Left:0, Top:0, Width:50, Height:20, Tooltip:jscl_TemperGridColumnTooltip[5], 
					Font:js_DisplayFont, Size:12, Style:null, Color:'#000000', ShadowColor:null, 
					Object:null };


// CallBack Methods
function callBack_GetPeriodDate() {
	var theDate = com_SelectedDate.toFormatString('ed', true);
	if (com_SelectedDate.DateDiff('d', dccPeriod.Date) != 0)
		clearSelectedRow();
	if (dccPeriod.Editable)
		dccPeriod.Object.TextArea.data = theDate;
	else
		dccPeriod.Object.Label.data = theDate
	dccPeriod.Date = theDate;
	winCalendar.visible = false;
}

function callBack_GetTemperDate() {
	var theDate = com_SelectedDate.toFormatString('ed', true);
	if (com_SelectedDate.DateDiff('d', dccTemper.Date) != 0)
		clearSelectedRow();
	if (dccTemper.Editable)
		dccTemper.Object.TextArea.data = theDate;
	else
		dccTemper.Object.Label.data = theDate
	dccTemper.Date = theDate;
	winCalendar.visible = false;
}

function girdPeriodCellClick() {
	var json = getCellObject(gridPeriod, this.name);
	if (json == null)
		return;
	switch (json.ColumnKey) {
		case 'Edit':
			periodItemModify(json.Row.index);
			break;
		case 'Delete':
			var result = alert(jscl_Messages[1], jscl_Buttons[1].Title, jscl_Buttons[2].Title);
			if (result == 1)
				deleteRecordItem(js_PeriodData, gridPeriod, json.Row);
			js_AveCycle = reckonAverageCycle(js_PeriodData);
			recountPervPeriodRange(js_PeriodData);
			break;
		default:
			break;
	}
}

function girdTemperCellClick() {
	var json = getCellObject(gridTemper, this.name);
	if (json == null)
		return;
	switch (json.ColumnKey) {
		case 'Edit':
			temperItemModify(json.Row.index);
			break;
		case 'Delete':
			var result = alert(jscl_Messages[1], jscl_Buttons[1].Title, jscl_Buttons[2].Title);
			if (result == 1)
				deleteRecordItem(js_TemperData, gridTemper, json.Row);
			break;
		default:
			break;
	}
}

function resetControls() {
	/*
	if (preferences.TemperatureUnit.value == 'F') {
		nudTemper.Value = js_TemperDefault_F;
		nudTemper.Max = js_TemperMax_F
		nudTemper.Min = js_TemperMin_F;
		nudTemper.Interval = js_TemperInterval_F;
	} else {
	*/
		nudTemper.Value = js_TemperDefault_C;
		nudTemper.Max = js_TemperMax_C
		nudTemper.Min = js_TemperMin_C;
		nudTemper.Interval = js_TemperInterval_C;
	//}
}
